std::integral_constant< _Tp, __v > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

Inherited by std::__parse_int::_Number< _Base, _Digs >, std::__parse_int::_Number< _Base >, std::__parse_int::_Parse_int< _Digs >, std::__parse_int::_Parse_int< '0', 'B', _Digs... >, std::__parse_int::_Parse_int< '0', 'X', _Digs... >, std::__parse_int::_Parse_int< '0', 'b', _Digs... >, std::__parse_int::_Parse_int< '0', 'x', _Digs... >, std::__parse_int::_Parse_int< '0', _Digs... >, std::__parse_int::_Power< _Base, _Digs >, and std::__parse_int::_Power< _Base >.

## Public Types

using | type = integral_constant< _Tp, __v >
using | value_type = _Tp

## Public Member Functions

constexpr | operator value_type () const noexcept

## Static Public Attributes

static constexpr _Tp | value

## Detailed Description

template<typename _Tp, _Tp __v>
struct std::integral_constant< _Tp, __v >

integral_constant

Definition at line 87 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits